// toShare index.js
'use strict';
// uses rest, tooltip

const divReservationTableSelect = document.getElementById('reservation-table-select');

atsReservationTables.restGet().then(()=>{
	for(const atsTable of atsReservationTables.data){
		const aTag = document.createElement('a');
		aTag.href = (atsTable.table_custom === 0) ? '/reservation/' : '/custom/';
		aTag.href += atsTable.table_uri;
		aTag.innerText = atsTable.table_name;
		aTag.hash = atsTable.table_id;
		aTag.dataset.tooltip = atsTable.item_name;

		const pTable = document.createElement('p');
		pTable.appendChild(aTag);

		divReservationTableSelect.appendChild(pTable);
	}
});
